// VUSB_Joystick, 2 axis, four switches

// axis potentiometers are attached to analog 6 and 7
// switches are attached to digital 2-5
// input pins may be modified for other microcontrollers

#include"VUSB_Joystick.h"
void setup() {

/*
  pinMode(2,INPUT_PULLUP);
  pinMode(3,INPUT_PULLUP);
  pinMode(4,INPUT_PULLUP);
  pinMode(5,INPUT_PULLUP);
  oder shorter; saves ~ 150 Bytes:
*/
  PORTA = 0x3c;                                              // activate pullups for digital inputs 2 ... 5

}

void loop() {

  char Buttons_lw = (PINA & 0x3c) ;                          // input pins PORT A, bit 2 ... 5 filtered
  Buttons_lw = ~(Buttons_lw / 4) ;                           // shifted to bit 0 ... 3 and inverted
  unsigned int X =   analogRead(6);                          // 0 ... 1023 
  X = X / 4;                                                 // shifted to 0 ... 255
  unsigned int Y =   analogRead(7);
  Y = Y / 4;
  VUSB_Joystick.setX((byte) X); 
  VUSB_Joystick.setY((byte) Y);
//  VUSB_Joystick.setXROT((byte) 0x00);                       // all unused
//  VUSB_Joystick.setYROT((byte) 0x00);
//  VUSB_Joystick.setZROT((byte) 0x00);
//  VUSB_Joystick.setSLIDER((byte) 0x00);

  VUSB_Joystick.setButtons(0x00, Buttons_lw);                 // hi byte always 0 , low byte 0 ... 3
  VUSB_Joystick.update(); 

}
